import { Page } from 'playwright-core';
import { SortedFrameQueue } from './SortedFrameQueue';
import { ScreencastFrameCollector } from './ScreencastFrameCollector';
import { VideoWriter } from './VideoWriter';
interface ConstructorArgs {
    collector: ScreencastFrameCollector;
    queue: SortedFrameQueue;
    page: Page;
    writer: VideoWriter;
}
interface CreateArgs {
    page: Page;
    savePath: string;
}
export declare class PageVideoCapture {
    static start({ page, savePath, }: CreateArgs): Promise<PageVideoCapture>;
    private _collector;
    private _previousFrame?;
    private _queue;
    _stopped: boolean;
    private _writer;
    protected constructor({ collector, queue, page, writer }: ConstructorArgs);
    private _listenForFrames;
    private _writePreviousFrame;
    private _writeFinalFrame;
    stop(): Promise<void>;
}
export {};
