/// <reference types="node" />
import { EventEmitter } from 'events';
import { CDPSession, Page } from 'playwright-core';
export interface ScreencastFrame {
    data: Buffer;
    received: number;
    timestamp: number;
}
export declare class ScreencastFrameCollector extends EventEmitter {
    static create(page: Page): Promise<ScreencastFrameCollector>;
    _client: CDPSession;
    private _page;
    private _stopped;
    protected constructor(page: Page);
    private _buildClient;
    private _listenForFrames;
    start(): Promise<void>;
    stop(): Promise<void>;
}
